Bug 1005343 - vinagre depends on rdesktop that has broken deps
vinagre depends on rdesktop that has broken deps
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: vinagre (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F20AlphaBlocker
  Show dependency treegraph
 
Reported: 2013-09-06 13:02 EDT by Kalev Lember
Modified: 2013-09-13 23:08 EDT (History)
11 users (show)

See Also:
Fixed In Version: vinagre-3.9.90-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-13 23:08:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kalev Lember 2013-09-06 13:02:48 EDT
During the 3.10 cycle, vinagre got ported from rdesktop to freerdp, but the latest F20 package (vinagre-3.9.90-1.fc20) still depends on rdesktop instead of freerdp.
Comment 1 Kalev Lember 2013-09-06 13:07:56 EDT
Proposing as a F20 Alpha Blocker.

In the last meeting, FESCo sanctioned the removal of libgssglue from F20 repos. F20 is currently in the Alpha freeze, so apps depending on the library would need to be pulled through the freeze to avoid broken deps on the install media.

vinagre-3.9.90-1.fc20 is the current stable build and depends on rdesktop, which in turn pulls in libgssglue. This is causing broken deps on the Desktop live image and on DVD media. Please pull vinagre-3.9.90-2.fc20 build that replaces the rdesktop dep with freerdp through the Alpha freeze.
Comment 2 Fedora Update System 2013-09-06 13:17:07 EDT
vinagre-3.9.90-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/vinagre-3.9.90-2.fc20
Comment 3 Tim Flink 2013-09-06 18:46:12 EDT
This violates the following F20 alpha release criterion [1]:

There must be no errors in any package on the release-blocking images which cause the package to fail to install.

I'm +1 blocker on this, it is preventing install of gnome de from netinstall and will break future composes due to the now-unresolvable dep.

[1] http://fedoraproject.org/wiki/Fedora_20_Alpha_Release_Criteria#No_broken_packages
Comment 4 Kevin Fenzi 2013-09-06 18:47:36 EDT
+1 blocker.
Comment 5 Petr Schindler 2013-09-06 18:48:36 EDT
+1 it could make problems with composing DVD.
Comment 6 Tim Flink 2013-09-06 18:49:10 EDT
That makes +3 blocker, moving to accepted.
Comment 7 Fedora Update System 2013-09-07 13:02:24 EDT
Package vinagre-3.9.90-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing vinagre-3.9.90-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16029/vinagre-3.9.90-2.fc20
then log in and leave karma (feedback).
Comment 8 Jan Sedlák 2013-09-09 09:00:00 EDT
Works with vinagre-3.9.90-2, freerdp is dependency, rdesktop isn't.
Comment 9 Kamil Páral 2013-09-10 07:27:14 EDT
Setting to verified then.
Comment 10 Fedora Update System 2013-09-13 23:08:18 EDT
vinagre-3.9.90-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.